# eric5.Snapshot.SnapshotPreview

Module implementing the snapshot preview label.

### Global Attributes

None

### Classes

SnapshotPreview | Class implementing the snapshot preview label.

### Functions

None

## SnapshotPreview

Class implementing the snapshot preview label.

### Signals

startDrag()
  emitted to indicate the start of a drag operation

### Derived from

QLabel

### Class Attributes

None

### Class Methods

None

### Methods

SnapshotPreview | Constructor
mouseMoveEvent | Protected method to handle mouse moves.
mousePressEvent | Protected method to handle mouse button presses.
mouseReleaseEvent | Protected method to handle mouse button releases.
setPreview | Public slot to set the preview picture.

### Static Methods

None

#### SnapshotPreview (Constructor)

SnapshotPreview(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### SnapshotPreview.mouseMoveEvent

mouseMoveEvent(evt)

Protected method to handle mouse moves.

evt
  mouse move event (QMouseEvent)

#### SnapshotPreview.mousePressEvent

mousePressEvent(evt)

Protected method to handle mouse button presses.

evt
  mouse button press event (QMouseEvent)

#### SnapshotPreview.mouseReleaseEvent

mouseReleaseEvent(evt)

Protected method to handle mouse button releases.

evt
  mouse button release event (QMouseEvent)

#### SnapshotPreview.setPreview

setPreview(preview)

Public slot to set the preview picture.

preview
  preview picture to be shown (QPixmap)

Up